#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import os
import pandas
import numpy as np

all_data = [] #全データ格納用リストを用意

for root, dirs, files in os.walk('data'):
    parent_dir, dir_name = os.path.split(root)
    if not dir_name.isdigit(): # フォルダ名は数値か？
        continue # 数値でないなら参加者データのフォルダではない

    individual_data = [[],[]] # 個人用データ格納用リストを用意

    for file in files: # フォルダ内のファイルを処理
        fileroot, ext = os.path.splitext(file) # 拡張子を分離
        if ext.lower() == '.csv': # csvファイルのみ処理する
            #csvファイルからpandasのデータフレームを作成
            df = pandas.read_csv(os.path.join(root,file))
            
            mean_rt = [] # 各条件の平均値を計算して格納
            for target in ('present', 'absent'):
                for items in (5, 10, 15):
                    tf_list = ((df['target']==target) & 
                        (df['items']==items))
                    mean_rt.append(df['rt'][tf_list].mean())
            
            # インデックス0にC条件，1にO条件の結果を格納
            if '_C' in fileroot: 
                individual_data[0] = mean_rt
            else:
                individual_data[1] = mean_rt

    all_data.append(individual_data)

with open('all_data.txt','w') as fp:
    for participant in all_data:
        for data in participant:
            fp.write('{}\n'.format(data))