np_data = np.array(all_data)
shape = np_data.shape

#C条件でターゲット有りの全参加者の平均反応時間の値を得る
c_present_data = np_data[:,0,0:3]

#各条件における全参加者の平均反応時間の平均値と不偏標準偏差の計算
mean_data = np_data.mean(axis=0)
std_data = np_data.std(axis=0, ddof=1)

#C条件の結果を表計算アプリケーションでのグラフ描画用に並び替え
c_mean_data = np_data[:,0,:].mean(axis=0).reshape(2,3)

#統計解析アプリケーションで用いられるwide形式
wide_data = np_data.reshape(shape[0],shape[1]*shape[2])

with open('np_data.txt','w') as fp:
    fp.write('\n--c_present_data--\n')
    for data in c_present_data:
        fp.write('{},{},{}\n'.format(*data))

    fp.write('\n---mean_data---\n')
    for data in mean_data:
        fp.write('{},{},{},{},{},{}\n'.format(*data))
    fp.write('\n---std_data---\n')
    for data in std_data:
        fp.write('{},{},{},{},{},{}\n'.format(*data))

    fp.write('\n--c_mean_data--\n')
    for data in c_mean_data:
        fp.write('{},{},{}\n'.format(*data))
    
    fp.write('\n---wide_data---\n')
    for data in wide_data:
        fp.write('{},{},{},{},{},{},{},{},{},{},{},{}\n'
            .format(*data))