#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.gui
import psychopy.sound
import psychopy.core
import scipy.io.wavfile # wavファイルの読み書きをするモジュール
import numpy as np
import matplotlib.pyplot as plt

delay = 0.1 # 0.1秒のディレイ
level = 0.3 # 原音の0.3倍の音量

files = psychopy.gui.fileOpenDlg(prompt='wavファイルを選んでください',
    allowed='wav files (*.wav)|*.wav') # wavファイルのみを表示
if files is not None: # ファイルが選択されずに閉じられるとNone
    rate, original_data = scipy.io.wavfile.read(files[0])
    data = original_data/(2**15) # データの範囲を-1.0～1.0に変換
    
    delayed_data = data.copy() # 別変数に複製を作る場合はcopy()を使う
    delayed_data[int(rate*delay):, :] += (level * 
        data[:-int(rate*delay), :])
    
    #PsychoPyで再生する準備
    original_sound = psychopy.sound.Sound(data, sampleRate=rate)
    delayed_sound = psychopy.sound.Sound(
        delayed_data, sampleRate=rate)
    
    #まず元音声を再生し，続いて加工した音声を再生する
    original_sound.play()
    psychopy.core.wait(original_sound.getDuration())
    delayed_sound.play()
    psychopy.core.wait(delayed_sound.getDuration())
    
    #波形グラフを重ね描きして表示する
    t = np.arange(data.shape[0])/rate
    plt.plot(t, data[:,0], 'b-')
    plt.plot(t, delayed_data[:,0], 'r-')
    plt.show()