#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import psychopy.gui
import psychopy.sound
import psychopy.core
import scipy.io.wavfile
import numpy as np
import scipy.signal # 信号処理を行うモジュール

N = 5 # 5次のButterworthローパスフィルタ
cuttoff = 1000 # ローパスフィルタの遮断周波数

files = psychopy.gui.fileOpenDlg(prompt='wavファイルを選んでください',
    allowed='wav files (*.wav)|*.wav')
if files is not None:
    rate, original_data = scipy.io.wavfile.read(files[0])
    data = original_data/(2**15)
    
    nyquist_freq = rate/2
    b, a = scipy.signal.butter(N, cuttoff/nyquist_freq, 
        btype='lowpass')
    filtered_data = scipy.signal.lfilter(b, a, data, axis=0)
    
    original_sound = psychopy.sound.Sound(data, sampleRate=rate)
    filtered_sound = psychopy.sound.Sound(
        filtered_data, sampleRate=rate)
    original_sound.play()
    psychopy.core.wait(original_sound.getDuration())
    filtered_sound.play()
    psychopy.core.wait(filtered_sound.getDuration())