#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
from PIL import Image     # PILで画像を扱うための必須モジュール
from PIL import ImageDraw # 様々な描画を行うモジュール
from PIL import ImageFont # ImageDrawでフォントを指定できるようにする

image = Image.new('RGB', (640,480), color=(255,255,255)) # 画像を作成
draw = ImageDraw.Draw(image) # 描画オブジェクトを作成
draw.ellipse(((0,0),(320,240)), outline=None, fill=(128,128,255))
draw.rectangle(((160,120),(480,360)), outline=(0,0,0), fill=None)
draw.line(((80,60),(560,420)), fill=(0,0,128), width=3) 

try:    # フォント読み込みを試みる
    font_obj = ImageFont.truetype('ipaexg.ttf',24)
except: # フォント読み込みに失敗した場合
    draw.text((80,420), 'Failed to read TrueType font', fill=(0,0,0))
else:   # フォント読み込みに成功した場合
    draw.text((80,420), 'フォント読み込み成功', fill=(0,0,0), 
              font=font_obj)

image.save('pil-sample.png')