#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
from PIL import Image
import numpy as np
# 画像を開いて透明度チャネルを追加
image = Image.open('test.jpg').convert('RGBA')
w,h = image.size
# Imageオブジェクトからndarrayオブジェクトを作成
image_np = np.array(image)

# -2～2の画像サイズと同じ要素数のndarrayを作成
x = np.arange(-2.0, 2.0, 4.0/w)
y = np.arange(-2.0, 2.0, 4.0/h)
# 2次元ガウス関数を計算するためのメッシュを作成
x_mesh, y_mesh = np.meshgrid(x, y)

# 透明度チャネルに値を書き込む
image_np[:,:,3] = np.exp(-x_mesh**2 -y_mesh**2)*255

# Imageオブジェクトを作成しpngで保存
Image.fromarray(image_np).save('ouput.png')