#coding:utf-8
from __future__ import division
from __future__ import unicode_literals
import numpy as np
import matplotlib.pyplot as plt
import numpy.random as random
import scipy.optimize as optimize  # 最適化の数値計算を行うモジュール

rt = 1000/random.normal(5.0,1.5,size=100) # ダミーデータの作成

n, bins = np.histogram(rt, bins=np.arange(100,650,50)) # ヒストグラムを得る
bin_center = (bins[:-1]+bins[1:])/2 # 各階級の中央の値を計算

def pdf_LATER(t, k, mu, sigma):  # 当てはめに用いる関数を定義する
    return k/(t**2*np.sqrt(2*np.pi)*sigma)*np.exp(
        -(1-mu*t)**2/(2*sigma**2*t**2))

params, pcov = optimize.curve_fit( # 当てはめを実行する
    pdf_LATER, bin_center, n, p0=(100, 1, 1))

plt.bar(bins[:-1], n, width=50, color='0.75') # これ以降はおまけ
t = np.arange(1,650)
plt.plot(t, pdf_LATER(t, *params), 'k-', linewidth=3)
plt.text(400, 20, 'k:{}\nmu:{}\nsigma:{}'.format(*params) )
plt.show()